summaryrefslogtreecommitdiffstats
path: root/network/sshfs-fuse
diff options
context:
space:
mode:
author Michiel van Wessem2011-08-07 05:22:41 +0200
committer Niels Horn2011-08-12 01:28:36 +0200
commit42c48d9ad9900a0f177e6e757b018da1014c68d1 (patch)
tree2494ed2a297213f10291ec747d08b31d65b81b44 /network/sshfs-fuse
parent604cf960b52ab0a27c55fc2543c0dd3ec4126ecf (diff)
downloadslackbuilds-42c48d9ad9900a0f177e6e757b018da1014c68d1.tar.gz
network/sshfs-fuse: Moved from System (and bumped to 2.3)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network/sshfs-fuse')
-rw-r--r--network/sshfs-fuse/README10
-rw-r--r--network/sshfs-fuse/slack-desc19
-rw-r--r--network/sshfs-fuse/sshfs-fuse.SlackBuild99
-rw-r--r--network/sshfs-fuse/sshfs-fuse.info10
4 files changed, 138 insertions, 0 deletions
diff --git a/network/sshfs-fuse/README b/network/sshfs-fuse/README
new file mode 100644
index 0000000000..300d34090d
--- /dev/null
+++ b/network/sshfs-fuse/README
@@ -0,0 +1,10 @@
+SSHFS (Secure SHell FileSystem) is a file system for Linux capable of
+operating on files on a remote computer using just a secure shell login
+on the remote computer. On the local computer where the SSHFS is mounted,
+the implementation makes use of the FUSE (Filesystem in Userspace)
+kernel module.
+
+The practical effect of this is that the end user can seamlessly interact
+with remote files being securely served over SSH just as if they were
+local files on his/her computer. On the remote computer the SFTP subsystem
+of SSH is used.
diff --git a/network/sshfs-fuse/slack-desc b/network/sshfs-fuse/slack-desc
new file mode 100644
index 0000000000..7149d358d2
--- /dev/null
+++ b/network/sshfs-fuse/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+sshfs-fuse: sshfs-fuse (ssh file system module for FUSE)
+sshfs-fuse:
+sshfs-fuse: This is a filesystem client based on the SSH File Transfer
+sshfs-fuse: Protocol. Since most SSH servers already support this protocol it
+sshfs-fuse: is very easy to set up: i.e. on the server side there's nothing
+sshfs-fuse: to do. On the client side mounting the filesystem is as easy as
+sshfs-fuse: logging into the server with ssh.
+sshfs-fuse:
+sshfs-fuse:
+sshfs-fuse:
+sshfs-fuse:
diff --git a/network/sshfs-fuse/sshfs-fuse.SlackBuild b/network/sshfs-fuse/sshfs-fuse.SlackBuild
new file mode 100644
index 0000000000..a2a38e6e55
--- /dev/null
+++ b/network/sshfs-fuse/sshfs-fuse.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Copyright 2006-2009 Alan Hicks, Lizella, GA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sshfs-fuse
+VERSION=${VERSION=2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# Exit on most errors
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAG="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog FAQ.txt INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/sshfs-fuse/sshfs-fuse.info b/network/sshfs-fuse/sshfs-fuse.info
new file mode 100644
index 0000000000..443ca6df73
--- /dev/null
+++ b/network/sshfs-fuse/sshfs-fuse.info
@@ -0,0 +1,10 @@
+PRGNAM="sshfs-fuse"
+VERSION="2.3"
+HOMEPAGE="http://fuse.sourceforge.net/sshfs.html"
+DOWNLOAD="http://downloads.sourceforge.net/fuse/sshfs-fuse-2.3.tar.gz"
+MD5SUM="f72f12fda186dbd92382f70d25662ed3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Alan_Hicks"
+EMAIL="alan@lizella.net"
+APPROVED="rworkman"